// Det lungimii celui mai lung subsir crescator
#include <fstream>
#include <algorithm>
#include <vector>
#include <iomanip>
using namespace std;

ifstream fin("sir.in");
ofstream fout("sir.out");

int N;
vector<int> a;

int n;

void Pr(string const& s, auto a)
{
	fout << setw(7) << s << " ";
	for (size_t i = 0; i < a.size(); ++i)
		fout << a[i] << ' ';
	fout << '\n';
	fout << setw(7) << "pozitii ";
	for (size_t i = 0; i < a.size(); ++i)
		fout << i << ' ';
	fout << "\n\n";
}

int main()
{
	fin >> n;
	a = vector<int>(n);

	for (int i = 0; i < n; ++i)
		fin >> a[i];
	
	sort(a.begin(), a.end());
	
	Pr("sirul", a);
	fout << "Lower bound : pozitie\n";
	for (int i = 0; i < n; ++i)
	{
		auto it = lower_bound(begin(a), end(a), a[i]);
		if (it != end(a))
			fout << *it << " : " << it - begin(a) << '\n';
	}

	fout << "\nUpper bound : pozitie\n";
	for (int i = 0; i < n; ++i)
	{
		auto it = upper_bound(begin(a), end(a), a[i]);
		if (it != end(a))
			fout << *it << " : " << it - begin(a) << '\n';
	}
}
