// NORMALIZARE - elemente de la poz 0
#include <vector>
#include <iostream>
#include <iomanip>
#include <fstream>
using namespace std;

ifstream fin("norm_sir.in");
ofstream fout("norm_sir.out");
	
int n;
using VI = vector<int>;

void Print(VI& v)
{
	for (const int& x : v)
		fout << setw(3) << x;
	fout << '\n';
}

int main()
{
	
	fin >> n;
	VI a(n);
	
	for(int i = 0; i < n; i++) 
		fin >> a[i];

	VI b (a);
	sort(b.begin(), b.end());
	b.erase(unique(b.begin(), b.end()), b.end());
	
	VI c(n);
	for(int i = 0; i < n; i++) 
		c[i] = lower_bound(b.begin(), b.end(), a[i]) - b.begin() + 1;

	Print(a);
	Print(c);
    
    return 0;
}
