// Det lungimii celui mai lung subsir crescator
#include <fstream>
#include <algorithm>
#include <vector>
#include <string>
#include <iomanip>
using namespace std;

ifstream fin("cmlsc.in");
ofstream fout("cmlsc.out");

const int MaxV = 1e6;  // valorile pot fi foarte mari (le normalizam)
int N;
vector<int> a, b, L;
// L[i] = lung cmlsc care se termina cu a[i]


int n;
int Lmax;
vector<int> aib;   // aib[x] = nr de elem in ordine cresc (la un moment dat)
                   // care sunt mai mici sau egale cu x, in ordine strict crescatoare
                   // in intervalul asociat numarului x

int Query(int x)  // lung cmlsc cu valori mai mici au egale x (la un moment dat)
{
	int mx = 0;
	for (int i = x; i; i -= i & -i)
		mx = max(aib[i], mx);
	return mx;
}

void Update(int x, int L)
{
	for (int i = x; i <= N; i += i & -i)
		aib[i] = max(aib[i], L);
}

void Pr(string const& s, vector<int>& a)
{
	fout << setw(7) << s << ": ";
	for (auto x : a)
		fout << x << ' ';
	fout << '\n';
}

int main()
{
	fin >> n;
	a = L = vector<int>(n);

	for (int i = 0; i < n; ++i)
		fin >> a[i];
	b = a;
	Pr("a", a);

	// NORMALIZARE
	sort(b.begin(), b.end());
	b.erase(unique(b.begin(), b.end()), b.end());

	Pr("b", b);
	N = b.size();
	aib = vector<int>(N + 1);

	for (int i = 0; i < n; ++i)
		a[i] = 1 + lower_bound(b.begin(), b.end(), a[i]) - b.begin();

	Pr("a norm", a);

	for (int i = 0; i < n; ++i)
	{
		L[i] = Query(a[i] - 1) + 1;  // lung cmlsc care se temina cu valori mai mici decat a[i], plus 1 (adaugam a[i])

		Lmax = max(Lmax, L[i]);
		Update(a[i], L[i]);
	}
	//Pr("aib", aib);
	Pr("L", L);
	fout << Lmax;
}
