// NORMALIZARE - elemente de la poz 1
#include <vector>
#include <iostream>
#include <iomanip>
#include <fstream>
using namespace std;

ifstream fin("norm_sir.in");
ofstream fout("norm_sir.out");
	
int n;
using VI = vector<int>;

void Print(VI& v)
{
	for (size_t i = 1; i < v.size(); ++i)
		fout << setw(3) << v[i];
	fout << '\n';
}

int main()
{
	
	fin >> n;
	
	VI a(n + 1);
	for(int i = 1; i <= n; i++) 
		fin >> a[i];

	VI b (a);
	sort(b.begin() + 1, b.end());
	b.erase(unique(b.begin() + 1, b.end()), b.end());
	
	VI c(n + 1);
	for(int i = 1; i <= n; i++) 
		c[i] = lower_bound(b.begin() + 1, b.end(), a[i]) - b.begin();

	Print(a);
	Print(c);
    
    return 0;
}
